<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="STEP" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
if (isNotFrozen()) {
  moveTo(xVel, yVel);

  if (collision_point(x+offsetX, y+offsetY, oSolid, 0, 0)) hp = -999;

  if (xVel == 0 and yVel == 0) hp = 0;

  if (hp &lt; 1) {
    if (countsAsKill and isRealLevel()) global.enemyKills[22] += 1;
    if (explosive) instance_create(x+offsetX, y+offsetY, oExplosion); else if (!bloodless) scrCreateBlood(x+offsetX, y+offsetY, 3);
    if (carries != "") scrMakeItem(carries, x+offsetX, y+offsetY);
    instance_destroy();
  }

  if (status == IDLE) {
    if (xVel &gt; 0) xVel -= slow;
    if (yVel &gt; 0) yVel -= slow;
    if (xVel &lt; 0) xVel += slow;
    if (yVel &lt; 0) yVel += slow;
    if (abs(xVel) &lt; 1) { xVel = 0; }
    if (abs(yVel) &lt; 1) { yVel = 0; }

    dir = point_direction(x, y, x+xVel, y+yVel);
    if (wiggle &gt; 0) va = rand(1, wiggle)*choose(1, -1);
    else va = 0;
    dir += va;

    if (isCollisionRight(1) and xVel &gt; 0) {
      xVel = -xVel;
      //yVel = -iVel * sin(degtorad(rand(180, 360)));
      yVel = -iVel * sin(degtorad(dir));
    }
    if (isCollisionLeft(1) and xVel &lt; 0) {
      xVel = -xVel;
      //yVel = -iVel * sin(degtorad(rand(1, 180)));
      yVel = -iVel * sin(degtorad(dir));
    }
    if (isCollisionTop(1) and yVel &lt; 0) {
      //xVel = iVel * cos(degtorad(rand(90, 270)));
      xVel = iVel * cos(degtorad(dir));
      yVel = -yVel;
    }
    if (isCollisionBottom(1) and yVel &gt; 0) {
      //xVel = iVel * cos(degtorad(choose(rand(270, 360), rand(1, 90))));
      xVel = iVel * cos(degtorad(dir));
      yVel = -yVel;
    }
  }
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
